Name:       cmake-fedora
Version:    0.3.1
Release:    1%{?dist}
Summary:    CMake helper modules for fedora developers
License:    BSD
Group:      System Environment/Libraries
URL:        http://git.fedorahosted.org/git/?p=%{name}.git
Source0:    https://fedorahosted.org/releases/c/m/%{name}/%{name}-%{version}-Source.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  cmake >= 2.4

Requires:   cmake >= 2.4

%description
cmake-fedora consist a set of cmake modules that provides
helper macros and targets for fedora developers.

%prep
%setup -q -n %{name}-%{version}-Source

%build
# $RPM_OPT_FLAGS should be  loaded from cmake macro.
%cmake -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo .
%__make VERBOSE=1  %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
# We install document using %doc
(cd $RPM_BUILD_ROOT//usr/share/doc/cmake-fedora-0.3.1
    %__rm -rf RELEASE-NOTES.txt AUTHORS README ChangeLog COPYING TODO
)

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc RELEASE-NOTES.txt AUTHORS README ChangeLog COPYING TODO
%{_bindir}/cmake-fedora-newprj.sh
%{_datadir}/cmake/Modules/CMakeVersion.cmake
%{_datadir}/cmake/Modules/CompileEnv.cmake
%{_datadir}/cmake/Modules/DateTimeFormat.cmake
%{_datadir}/cmake/Modules/ManageString.cmake
%{_datadir}/cmake/Modules/ManageVariable.cmake
%{_datadir}/cmake/Modules/ManageVersion.cmake
%{_datadir}/cmake/Modules/PackRPM.cmake
%{_datadir}/cmake/Modules/PackSource.cmake
%{_datadir}/cmake/Modules/UseDoxygen.cmake
%{_datadir}/cmake/Modules/UseFedpkg.cmake
%{_datadir}/cmake/Modules/UseGConf.cmake
%{_datadir}/cmake/Modules/UseGettext.cmake
%{_datadir}/cmake/Modules/UseHostingService.cmake
%{_datadir}/cmake/Modules/UseUninstall.cmake
%{_datadir}/cmake/Modules/cmake_uninstall.cmake.in
%{_datadir}/cmake/Templates/fedora

%changelog
* Mon Nov 08 2010 Ding-Yi Chen <dchen at redhat.com> - 0.3.1-1
- SETTING_FILE_GET_VARIABLES_PATTERN:
  Fixed: unable to use relative path problem.
  Fixed: UNQUOTE and NOESCAPE_SEMICOLON can now used together.

* Wed Oct 20 2010 Ding-Yi Chen <dchen at redhat.com> - 0.2.4-1
- cmake-fedora-newprj.sh: New option "-e" that extract value from specified
  spec or spec.in.
- Now usage is printed instead of junk output when project_name is not given.
- Source code (whatever is packed) and tarball dependency now checked.

* Sat Oct 16 2010 Ding-Yi Chen <dchen at redhat.com> - 0.2.3-1
- Inserted git pull for each fedpkg targets. Reduce the chance of conflict.
- Fixed target: bodhi_new. So it will actually run this command instead of
just showing it.

* Fri Oct 15 2010 Ding-Yi Chen <dchen at redhat.com> - 0.2.2-1
- Add new project building script.
- Build for EL-5, EL-6
- Add el5, el6 build.
- Fixed errors in UseFedpkg.
- Fixed target: tag
- Fixed target: bodhi_new

* Fri Oct 08 2010 Ding-Yi Chen <dchen at redhat.com> - 0.1.4-1
- Fixed error in UseFedpkg.

* Mon Oct 04 2010 Ding-Yi Chen <dchen at redhat.com> - 0.1.2-1
- Removed excess spaces.

* Mon Oct 04 2010 Ding-Yi Chen <dchen at redhat.com> - 0.1.1-1
- Added koji scratch build target.
- Fixed changelog_update.

* Mon Oct 04 2010 Ding-Yi Chen <dchen at redhat.com> - 0.1.0-1
- Initial package.

